package gr.mybook.mydialogprefs;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.widget.TextView;

public class ShowSettings extends Activity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.settings);
		TextView text = (TextView)findViewById(R.id.settings);
		SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(this);
		StringBuilder builder = new StringBuilder();
		builder.append("\n" + prefs.getBoolean("preference1", false));
		builder.append("\n" + prefs.getString("preference2","NONE"));
		builder.append("\n" + prefs.getString("preference3","NONE"));
		text.setText(builder.toString());
	}
}
